aboutsummaryrefslogtreecommitdiffstats
path: root/lib/sol2/scripts/preparation.osx.sh
diff options
context:
space:
mode:
authorAndy <drumsetmonkey@gmail.com>2019-08-29 13:07:45 -0400
committerAndy <drumsetmonkey@gmail.com>2019-08-29 13:07:45 -0400
commit4ac4b280abf2ffa28caa5a532353115a3033444f (patch)
tree2a13d658bb454360b2faf401244bb0321d3460d4 /lib/sol2/scripts/preparation.osx.sh
parente9758416b18b27a65337c28d9641afc0ee89b34b (diff)
parent7a46fa2dd3dad3f038bf8e7339bc67abca428ae6 (diff)
Started creating scripting library/namespace and added sol2 for interfacing
Diffstat (limited to 'lib/sol2/scripts/preparation.osx.sh')
-rw-r--r--lib/sol2/scripts/preparation.osx.sh32
1 files changed, 32 insertions, 0 deletions
diff --git a/lib/sol2/scripts/preparation.osx.sh b/lib/sol2/scripts/preparation.osx.sh
new file mode 100644
index 0000000..51af9dd
--- /dev/null
+++ b/lib/sol2/scripts/preparation.osx.sh
@@ -0,0 +1,32 @@
+#!/usr/bin/env zsh
+
+# # # # sol3
+# The MIT License (MIT)
+#
+# Copyright (c) 2013-2019 Rapptz, ThePhD, and contributors
+#
+# Permission is hereby granted, free of charge, to any person obtaining a copy of
+# this software and associated documentation files (the "Software"), to deal in
+# the Software without restriction, including without limitation the rights to
+# use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of
+# the Software, and to permit persons to whom the Software is furnished to do so,
+# subject to the following conditions:
+#
+# The above copyright notice and this permission notice shall be included in all
+# copies or substantial portions of the Software.
+#
+# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
+# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS
+# FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR
+# COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER
+# IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
+# CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
+
+# This script installs and configures the dependencies for the project
+
+brew update > /dev/null
+brew install zsh || brew upgrade zsh || true
+brew install git || brew upgrade git || true
+brew install cmake || brew upgrade cmake || true
+brew install python3 || brew upgrade python3 || true
+brew install ninja || brew upgrade ninja || true